FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Public Attributes | List of all members
Block Struct Reference

`#include <flexbox_helper.hpp>`

## Public Attributes
int | min_size_x = 0
int | min_size_y = 0
int | flex_grow_x = 0
int | flex_grow_y = 0
int | flex_shrink_x = 0
int | flex_shrink_y = 0
int | line {}
int | line_position {}
int | x = 0
int | y = 0
int | dim_x = 0
int | dim_y = 0
bool | overflow = false

## Detailed Description

Definition at line 13 of file flexbox_helper.hpp.

## Member Data Documentation

## ◆ min_size_x

int min_size_x = 0

Definition at line 15 of file flexbox_helper.hpp.

## ◆ min_size_y

int min_size_y = 0

Definition at line 16 of file flexbox_helper.hpp.

## ◆ flex_grow_x

int flex_grow_x = 0

Definition at line 17 of file flexbox_helper.hpp.

## ◆ flex_grow_y

int flex_grow_y = 0

Definition at line 18 of file flexbox_helper.hpp.

## ◆ flex_shrink_x

int flex_shrink_x = 0

Definition at line 19 of file flexbox_helper.hpp.

## ◆ flex_shrink_y

int flex_shrink_y = 0

Definition at line 20 of file flexbox_helper.hpp.

## ◆ line

int line {}

Definition at line 23 of file flexbox_helper.hpp.

## ◆ line_position

int line_position {}

Definition at line 24 of file flexbox_helper.hpp.

## ◆ x

int x = 0

Definition at line 25 of file flexbox_helper.hpp.

## ◆ y

int y = 0

Definition at line 26 of file flexbox_helper.hpp.

## ◆ dim_x

int dim_x = 0

Definition at line 27 of file flexbox_helper.hpp.

## ◆ dim_y

int dim_y = 0

Definition at line 28 of file flexbox_helper.hpp.

## ◆ overflow

bool overflow = false

Definition at line 29 of file flexbox_helper.hpp.

The documentation for this struct was generated from the following file:

- flexbox_helper.hpp